complexType "WeatherIndex"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantity?, unit?
</...>

Content Model Elements (2):

  quantity (defined in WeatherIndex complexType), | unit (defined in WeatherIndex complexType)

All Direct / Indirect Based Elements (2):

  weatherIndexLevel, weatherIndexStrikeLevel

Known Usage Locations

- As direct type of elements (2):
  weatherIndexLevel, weatherIndexStrikeLevel

Annotation
A type defining the Weather Index Level or Weather Index Strike Level.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="WeatherIndex"> <xsd:sequence> <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"/> <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
quantity

  Type: | xsd:decimal, predefined, simple content

  This is the Reference Level. The CDD, HDD or HDD Reference Level is specified as the number of (amount of) Weather Index Units specified by the parties in the related Confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"/>

unit

  Type: | QuantityUnit, simple content

  Weather Index Unit derived from one of the following variable methods of determination: Cooling Degree Day (CDD), Heating Degree Day (HDD), Critical Precipitation Day (CPD) as defined in Section 11.15 of the 2005 ISDA Commodity Definitions and User Guide.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.